Users Endpoints (2022/06)
These endpoints enable management of Users on a network. A User is an instance of a person that is associated with a single network (there can only be one person, but there can be 0 to an infinite number of users on a network).
Base URL for these endpoints: https://api.bsn.cloud/2022/06/REST/Users
_________________________________________________________________________
GET /
Returns a list of Users on a network
Required Scope Token
bsn.api.main.users.retrieve
______________________________________________________________
Query String Parameters
- marker string optional: A value specifying which page to retrieve. This value is useful if the isTruncated entry in the response body of the previous GET call indicates that the number of Users exceeds the pageSize. This parameter is only required if you need more elements in the paged list than the pageSize (100).
- pageSize int optional: The maximum number of Users that can be contained in the response body. This defaults to the maximum allowed page size (100).
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- marker value is set to the [PagedList].[NextMarker] property value from the previous BSN.cloud API response.
- pageSize is set to 1
GET /2022/06/REST/Users/?marker=RY0JlZW4tWW3hcnMsMTcyMU4&pageSize=1 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns a paged listpaged list of User Entities on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.
Example
{
"items": [ {
"id": 12345,
"person": {
"id": 1234,
"login": "[email protected]",
"password": null,
"firstName": "John",
"lastName": "Doe",
"creationDate": "2020-07-09T19:05:20.247Z",
"lastModifiedDate": "2023-11-29T17:40:54.403Z",
"activationDate": "2020-07-09T19:05:38.723Z"
},
"description": "Network Administrator",
"creationDate": "2020-07-09T19:09:04.98Z",
"lastModifiedDate": "2020-08-17T20:49:48.377Z",
"lastLoginDate": "2024-01-03T17:55:26.17Z",
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Administrators",
"permissions": [
{
"entityId": 123456,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": true,
"isInherited": false,
"isAllowed": true,
"creationDate": "2020-08-17T20:49:48.353Z"
}
]
}],
"totalItemCount": 2,
"matchingItemCount": 2,
"pageSize": 1,
"nextMarker": "F32RY0JlZW4tWW3hcnMuMTcy00",
"prevMarker": "F32RY0JlZW4tWW3hcnMuMT78th",
"isTruncated": false,
"sortExpression": "[User].[Person].[Login] ASC",
"filterExpression": ""
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /
Creates a User on a network
Required Scope Token
bsn.api.main.users.create
______________________________________________________________
Request Body
- The User Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
POST /2022/06/REST/Users/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 468This is the example request body:
{
"id": 0,
"person": {
"id": 0,
"login": "[email protected]",
"password": null,
"firstName": "John",
"lastName": "Doe",
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"activationDate": null
},
"description": "Supervisor",
"creationDate": "0001-01-01T00:00:00",
"lastLoginDate": null,
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Viewers",
"permissions": []
}______________________________________________________________
Success Response Body
201: Returns the User Entity created and referenced by the Uri (given by the Location header field) in the response.
Example
{
"id": 12345,
"person": {
"id": 12345,
"login": "[email protected]",
"password": "7t#Sqg7*",
"firstName": "John",
"lastName": "Doe",
"creationDate": "2024-01-03T19:05:26.5480648Z",
"lastModifiedDate": "2024-01-03T19:05:26.5480648Z",
"activationDate": "2024-01-03T19:05:26.5480648Z"
},
"description": "Supervisor",
"creationDate": "2024-01-03T19:05:26.6198305Z",
"lastModifiedDate": "2024-01-03T19:05:26.9953066Z",
"lastLoginDate": null,
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Viewers",
"permissions": [
{
"entityId": 30912,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": true,
"isInherited": false,
"isAllowed": true,
"creationDate": "2024-01-03T19:05:26.9953066Z"
}
]
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
GET /{login}/
Returns information for a specified User on a network
Required Scope Token
bsn.api.main.users.retrieve
______________________________________________________________
Segment
- login string: The login information of the User
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /login or GET /id response
GET /2022/06/REST/Users/JaneDoe%40brightsign.biz/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the User Entity
Example
This is an example of a successful 200 level response:
{
"id": 123456,
"person": {
"id": 12345,
"login": "[email protected]",
"password": null,
"firstName": "Jane",
"lastName": "Doe",
"creationDate": "2020-07-09T19:05:20.247Z",
"lastModifiedDate": "2020-08-17T20:49:48.377Z",
"activationDate": "2020-07-09T19:05:38.723Z"
},
"description": "Network Administrator",
"creationDate": "2020-07-09T19:09:04.98Z",
"lastModifiedDate": "2023-12-20T21:32:35.093Z",
"lastLoginDate": "2024-01-03T19:05:23.98Z",
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Administrators",
"permissions": [
{
"entityId": 123456,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": true,
"isInherited": false,
"isAllowed": true,
"creationDate": "2020-08-17T20:49:48.353Z"
}
]
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{login}/
Updates information for a specified User on a network
Required Scope Token
bsn.api.main.users.update
______________________________________________________________
Segment
- login string: The User login information
______________________________________________________________
Request Body
- The User Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /login response.
PUT /2022/06/REST/Users/JaneDoe%40brightsign.biz/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 1440This is the example request body:
{
"id": 123456,
"person": {
"id": 12345,
"login": "[email protected]",
"password": null,
"firstName": "Jane",
"lastName": "Doe",
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"activationDate": "0001-01-01T00:00:00"
},
"description": "Network Administrator",
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"lastLoginDate": "0001-01-01T00:00:00",
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Administrators",
"permissions": [
{
"entityId": 123456,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "0001-01-01T00:00:00"
}
]
}______________________________________________________________
Success Response
204: The User information has been updated
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{login}/
Deletes a specified User on a network
Required Scope Token
bsn.api.main.users.delete
______________________________________________________________
Segment
- login string: The User login information
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /login response.
DELETE /2022/06/REST/Users/JohnDoe%40host.com/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified User information was successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /{id}/
Returns information for a specified User on a network.
Required Scope Token
bsn.api.main.users.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for a User
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /login or GET /id response
GET /2022/06/REST/Users/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the User Entity
Example
This is an example of a 200 level response:
{
"id": 12345,
"person": {
"id": 12345,
"login": "[email protected]",
"password": null,
"firstName": "Jane",
"lastName": "Doe",
"creationDate": "2020-07-09T19:05:20.247Z",
"lastModifiedDate": "2023-11-29T17:40:54.403Z",
"activationDate": "2020-07-09T19:05:38.723Z"
},
"description": "Network Administrator",
"creationDate": "2020-07-09T19:09:04.98Z",
"lastModifiedDate": "2020-08-17T20:49:48.377Z",
"lastLoginDate": "2024-01-03T19:05:23.98Z",
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Administrators",
"permissions": [
{
"entityId": 123456,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": true,
"isInherited": false,
"isAllowed": true,
"creationDate": "2020-08-17T20:49:48.353Z"
}
]
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{id}/
Update the given User information
Required Scope Token
bsn.api.main.users.update
______________________________________________________________
Segment
- id int: A unique identifier for a User
______________________________________________________________
Request Body
- The User Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /login response.
PUT /2022/06/REST/Users/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 1440This is the example request body:
{
"id": 12345,
"person": {
"id": 12345,
"login": "[email protected]",
"password": null,
"firstName": "Jane",
"lastName": "Doe",
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"activationDate": "0001-01-01T00:00:00"
},
"description": "Network Administrator",
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"lastLoginDate": "0001-01-01T00:00:00",
"isLockedOut": false,
"lastLockoutDate": null,
"roleName": "Administrators",
"permissions": [
{
"entityId": 123456,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "0001-01-01T00:00:00"
}
]
}______________________________________________________________
Success Response
204: The User information has been updated
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/
Deletes the specified User on a network
Required Scope Token
bsn.api.main.users.delete
______________________________________________________________
Segment
- id int: A unique identifier for a User
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /login response.
DELETE /2022/06/REST/Users/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified User information was successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /Operations/
Returns the operational permissions granted to roles for specific business operations
Required Scope Token
bsn.api.main.operations.retrieve
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
GET /2022/06/REST/Users/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the Business Operations EntityBusiness Operations Entity
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/Permissions/
Includes object permissions for a given User
Required Scope Token
bsn.api.main.users.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for a User
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
GET /2022/06/REST/Users/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 54321,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2020-08-17T20:49:48.353Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{id}/Permissions/
Adds permissions for a specified User on a network
Required Scope Token
bsn.api.main.users.update
______________________________________________________________
Segment
- id int: A unique identifier for a User
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12435
POST /2022/06/REST/Users/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 245This is the example request body:
[
{
"entityId": 54321,
"operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "0001-01-01T00:00:00"
}
]______________________________________________________________
Success Response
204: The permissions were successfully added to the specified User
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/Permissions/
Removes permissions for a specified User on a network
Required Scope Token
bsn.api.main.users.update
______________________________________________________________
Segment
- id int: A unique identifier for a User
______________________________________________________________
Request Body
- An array of Permission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
DELETE /2022/06/REST/Users/12345/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 245This is the example request body:
[
{
"entityId": 54321,
"operationUID": "39e69897-8d9a-f634-95cf-7419a3e93c23",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "0001-01-01T00:00:00"
}
]______________________________________________________________
Success Response
204: The specified User permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{login}/Permissions/
Includes object permissions for a given User
Required Scope Token
bsn.api.main.users.retrieve
______________________________________________________________
Segment
- login string: The login information of the User
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
GET /2022/06/REST/Users/JohnDoe%40brightsign.biz/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 54321,
"operationUID": "67b9b0ab-fb5f-36c4-d598-a71aa8998e4e",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2020-08-17T20:49:48.353Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{login}/Permissions/
Adds permissions for a specified User on a network
Required Scope Token
bsn.api.main.users.update
______________________________________________________________
Segment
- login string: The User login information
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
POST /2022/06/REST/Users/JohnDoe%40brightsign.biz/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 322This is the example request body:
[
{
"entityId": 54321,
"operationUID": "c978aa8d-c7ac-410f-aec3-22e136d0ba58",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "0001-01-01T00:00:00"
}
]______________________________________________________________
Success Response
204: The permissions were successfully added to the specified User
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{login}/Permissions/
Removes permissions for a specified User on a network
Required Scope Token
bsn.api.main.users.update
______________________________________________________________
Segment
- login string: The User login information
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
DELETE /2022/06/REST/Users/JohnDoe%40brightsign.biz/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 232This is the example request body:
[
{
"entityId": 54321,
"operationUID": "39e69897-8d9a-f634-95cf-7419a3e93c23",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 12345
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "0001-01-01T00:00:00"
}
]______________________________________________________________
Success Response
204: The specified User permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/Tokens/{token}/
Validates the user access or refresh token granted to a specified User
Required Scope Token
bsn.api.main.users.token.validate
______________________________________________________________
Segments
- id int: A unique identifier for a User
- token string: A User access or refresh token for a BSN.Cloud network
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- token is set to {{UserAccessToken}}
GET /2022/06/REST/Users/12345/Tokens/{{UserAccessToken}}/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the Token Info Entity
Example
{
"token": "{{UserAccessToken}}",
"scope": "add_device_setup bsn.api.main bsn.api.self bsn.api.upload bsn.ui.main player",
"validFrom": "2024-01-03T22:57:10Z",
"validTo": "2024-01-03T23:12:10Z"
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/Tokens/{token}/
Revokes user access or refresh tokens for the specified User
Required Scope Token
bsn.api.main.users.token.revoke
______________________________________________________________
Segments
- id int: A unique identifier for a User
- token string: The User access or refresh token to use with this endpoint call
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- token is set to {{UserAccessToken}}
DELETE /2022/06/REST/Users/12345/Tokens/{{UserAccessToken}}/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The user access or refresh token has been successfully revoked from the specified User
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: Either the specified token is invalid, expired, or revoked, or it is issued for another user
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{login}/Tokens/{token}/
Validates the user access or refresh token granted to the specified User
Required Scope Token
bsn.api.main.users.token.validate
______________________________________________________________
Segments
- login string: The login for a User
- token string: A User access or refresh token for a BSN.Cloud network
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
- token is set to {{UserAccessToken}}
GET /2022/06/REST/Users/JohnDoe%40brightsign.biz/Tokens/{{UserAccessToken}}/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the Token Info Entity
Example
{
"token": "{{UserAccessToken}}",
"scope": "add_device_setup bsn.api.main bsn.api.self bsn.api.upload bsn.ui.main player",
"validFrom": "2024-01-03T22:57:10Z",
"validTo": "2024-01-03T23:12:10Z"
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
DELETE /{login}/Tokens/{token}/
Revokes the user access or refresh token granted to the specified user
Required Scope Token
bsn.api.main.users.token.revoke
______________________________________________________________
Segments
- login string: The login for a user
- token string: A user access or refresh token for a BSN.cloud network
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- login is set to [email protected]
- token is set to {{UserAccessToken}}
DELETE /2022/06/REST/Users/JohnDoe%40brightsign.biz/Tokens/{{UserAccessToken}}/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The user access or refresh token has been successfully revoked from the specified user
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: Either the specified token is invalid, expired, or revoked, or it is issued for another user
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error